%define	module	File-Find-Rule
%define	name	perl-%{module}
%define version 0.28
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Alternative interface to File::Find
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/search?dist=%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl-Text-Glob
BuildRequires:	perl-Number-Compare

%description 
File::Find::Rule is a friendlier interface to File::Find. It allows you to
build rules which specify the desired files and directories.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Mon Dec 20 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.28-2mdk
- fix buildrequires in a backward compatible way

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.28-1mdk
- 0.28

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.27-1mdk
- first mdk release
